$LOAD_PATH << File.join(File.dirname(File.expand_path(__FILE__)), 'polynomials')

require 'active_support/inflector'

ActiveSupport::Inflector.inflections do |inflect|
  inflect.plural /mum$/, '\1ma'
  inflect.singular /ma$/, '\1mum'
end

require 'exceptions'
require 'formulas'
require 'set'
require 'point'
require 'term'
require 'analyzable'
require 'plotable'
require 'polynomial'


module Polynomials
  Infinity = 1.0/0
end

class Numeric
  def sign
    self/self.abs
  end
end
